Bug 509609 - Review Request: mediawiki-rss - rss tag extension for mediaiwki
Summary: Review Request: mediawiki-rss - rss tag extension for mediaiwki
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ian Weller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-04 03:41 UTC by Clint Savage
Modified: 2009-08-20 17:27 UTC (History)
3 users (show)

Fixed In Version: 1.5-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-24 19:40:21 UTC
ian: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Clint Savage 2009-07-04 03:41:16 UTC
Spec URL: http://herlo.fedorapeople.org/rpms/mediawiki-rss.spec
SRPM URL: http://herlo.fedorapeople.org/rpms/mediawiki-rss-1.5-1.fc11.src.rpm

Description: mediawiki-rss is an extension to mediawiki that provides an rss tag and several options associated with rss feeds.

Comment 1 Clint Savage 2009-07-04 04:24:40 UTC
rpmlint SPECS/mediawiki-rss.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint RPMS/noarch/mediawiki-rss-1.5-1.fc11.noarch.rpm 
mediawiki-rss.noarch: W: invalid-license Unknown
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Working on getting the license data updated.

Comment 2 Ian Weller 2009-07-04 22:31:20 UTC
I'll take this.

Comment 3 Ian Weller 2009-07-06 17:18:04 UTC
Clint, can you confirm for me that this PHP script pulls in the Magpie RSS libraries properly?

Comment 4 Clint Savage 2009-07-12 19:49:32 UTC
License data is in place.  New spec and srpm available as well:

SRPM: http://herlo.fedorapeople.org/rpms/mediawiki-rss-1.5-2.fc11.src.rpm
SPEC: http://herlo.fedorapeople.org/rpms/mediawiki-rss.spec

As far as pulling in the rss libs, I'll double-check.

Clint

Comment 5 Ian Weller 2009-07-13 20:37:11 UTC
[  OK  ] specfiles match:
  1dfdd322b3bfc8a7398306b8ca82061a  mediawiki-rss.spec
  1dfdd322b3bfc8a7398306b8ca82061a  mediawiki-rss.spec.1
[FAILED] source files match upstream:
  For some reason your file is missing a single asterisk:
    --- mediawiki-rss-1.5/rss.php       2009-07-03 16:21:07.000000000 -0500
    +++ blah.php        2009-07-13 15:15:39.347042056 -0500
    @@ -1,6 +1,6 @@
     <?php
    -/*
    - *RSS-Feed MediaWiki extension
    +/**
    + * RSS-Feed MediaWiki extension
      *
      * @file
      * @ingroup Extensions
[  OK  ] package meets naming and versioning guidelines.
  It really should be named "mediawiki-RSS" but it doesn't matter all that
  much, it's not a hard guideline
[  OK  ] spec is properly named, cleanly written, and uses macros consistently.
[  OK  ] dist tag is present.
[  OK  ] build root is correct.
[  OK  ] license field matches the actual license.
[  OK  ] license is open source-compatible.
[  N/A ] license text included in package.
[  OK  ] latest version is being packaged.
[  OK  ] BuildRequires are proper.
[  N/A ] compiler flags are appropriate.
[  OK  ] %clean is present.
[  OK  ] package builds in mock.
[  OK  ] package installs properly.
[  N/A ] debuginfo package looks complete.
[  OK  ] rpmlint is silent.
[  OK  ] final provides and requires are sane
[  N/A ] %check is present and all tests pass:
[  OK  ] no shared libraries are added to the regular linker search paths.
[  OK  ] owns the directories it creates.
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[  OK  ] file permissions are appropriate.
[  N/A ] scriptlets match those on ScriptletSnippets page.
[  OK  ] code, not content.
[  OK  ] documentation is small, so no -docs subpackage is necessary.
[  OK  ] %docs are not necessary for the proper functioning of the package.
[  OK  ] no headers.
[  OK  ] no pkgconfig files.
[  OK  ] no libtool .la droppings.
[  N/A ] desktop files valid and installed properly.

Failing on a single asterisk is not enough to make me want to postpone approval.

  ------------------------------------------------------------
   This package (mediawiki-rss) is APPROVED by me (ianweller)
  ------------------------------------------------------------

Comment 6 Clint Savage 2009-07-14 19:50:24 UTC
Adding a request for cvs on this review

Comment 7 Ian Weller 2009-07-14 19:56:15 UTC
Please read through https://fedoraproject.org/wiki/CVS_admin_requests

Comment 8 Clint Savage 2009-07-14 20:00:30 UTC
New Package CVS Request
=======================
Package Name: mediawiki-rss
Short Description: Displays an RSS feed on a mediawiki page
Owners: herlo, ianweller
Branches: F-11, EL-5
InitialCC:

Comment 9 Jason Tibbitts 2009-07-15 02:37:32 UTC
CVS done.

Comment 10 Fedora Update System 2009-07-24 01:57:46 UTC
mediawiki-rss-1.5-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mediawiki-rss-1.5-2.fc11

Comment 11 Fedora Update System 2009-07-24 01:59:07 UTC
mediawiki-rss-1.5-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mediawiki-rss-1.5-2.el5

Comment 12 Fedora Update System 2009-07-24 19:40:16 UTC
mediawiki-rss-1.5-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-08-20 17:27:44 UTC
mediawiki-rss-1.5-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.